package com.chenyang.nse.bussiness.entity.orm.table.core.key;

import com.chenyang.nse.bussiness.entity.orm.table.TInitEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "t_core_key_client_param"
)
public class TCoreKeyClientParam extends TInitEntity {
   private String projectid;
   private String keylocation;
   private String encdeclocation;

   public String getProjectid() {
      return this.projectid;
   }

   public String getKeylocation() {
      return this.keylocation;
   }

   public String getEncdeclocation() {
      return this.encdeclocation;
   }

   public void setProjectid(final String projectid) {
      this.projectid = projectid;
   }

   public void setKeylocation(final String keylocation) {
      this.keylocation = keylocation;
   }

   public void setEncdeclocation(final String encdeclocation) {
      this.encdeclocation = encdeclocation;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof TCoreKeyClientParam)) {
         return false;
      } else {
         TCoreKeyClientParam other = (TCoreKeyClientParam)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$projectid = this.getProjectid();
            Object other$projectid = other.getProjectid();
            if (this$projectid == null) {
               if (other$projectid != null) {
                  return false;
               }
            } else if (!this$projectid.equals(other$projectid)) {
               return false;
            }

            Object this$keylocation = this.getKeylocation();
            Object other$keylocation = other.getKeylocation();
            if (this$keylocation == null) {
               if (other$keylocation != null) {
                  return false;
               }
            } else if (!this$keylocation.equals(other$keylocation)) {
               return false;
            }

            Object this$encdeclocation = this.getEncdeclocation();
            Object other$encdeclocation = other.getEncdeclocation();
            if (this$encdeclocation == null) {
               if (other$encdeclocation != null) {
                  return false;
               }
            } else if (!this$encdeclocation.equals(other$encdeclocation)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof TCoreKeyClientParam;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $projectid = this.getProjectid();
      result = result * 59 + ($projectid == null ? 43 : $projectid.hashCode());
      Object $keylocation = this.getKeylocation();
      result = result * 59 + ($keylocation == null ? 43 : $keylocation.hashCode());
      Object $encdeclocation = this.getEncdeclocation();
      result = result * 59 + ($encdeclocation == null ? 43 : $encdeclocation.hashCode());
      return result;
   }

   public String toString() {
      return "TCoreKeyClientParam(projectid=" + this.getProjectid() + ", keylocation=" + this.getKeylocation() + ", encdeclocation=" + this.getEncdeclocation() + ")";
   }
}
